Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jempbox.xmp
Class ResourceRef

    java.lang.Object
      org.jempbox.xmp.ResourceRef

All Implemented Interfaces:
  Elementable

public class ResourceRef
extends java.lang.Object
implements Elementable

This class represents a multiple part reference to a resource.

Version:
  $Revision: 1.3 $
Author:
  Ben Litchfield

Field Summary
`protected org.w3c.dom.Element` | `parent` The DOM representation of this object.

Constructor Summary
`ResourceRef(org.w3c.dom.Element parentElement)` Create a resource reference based on a existing parent property set.

Method Summary
`java.lang.String` | `getDocumentID()` Get the referenced resource's document id.
`org.w3c.dom.Element` | `getElement()` Get the underlying XML element.
`java.lang.String` | `getInstanceID()` Get the referenced resource's id.
`java.lang.String` | `getManager()` Get name of the asset management system that manages this resource.
`java.lang.String` | `getManagerTo()` URI identifying the managed resource.
`java.lang.String` | `getManagerUI()` URI to info about the managed resource.
`java.lang.String` | `getManagerVariant()` Get name of the variant of asset management system that manages this resource.
`java.lang.String` | `getRenditionClass()` Get the rendition class.
`java.lang.String` | `getRenditionParams()` Get the extra rendition params.
`java.lang.String` | `getVersionID()` Get the referenced resource's document version id.
`void` | `setDocumentID(java.lang.String id)` Set the referenced resource's document id.
`void` | `setInstanceID(java.lang.String id)` Set the referenced resource's id.
`void` | `setMangager(java.lang.String manager)` Set the name of the system that manages this resource.
`void` | `setMangagerTo(java.lang.String managerTo)` Set the URI to the managed resource.
`void` | `setMangagerUI(java.lang.String managerUI)` Set the URI to the info about the managed resource.
`void` | `setMangagerVariant(java.lang.String managerVariant)` Set the name of the variant of the system that manages this resource.
`void` | `setRenditionClass(java.lang.String renditionClass)` Set the rendition class.
`void` | `setRenditionParams(java.lang.String params)` Set addition rendition params.
`void` | `setVersionID(java.lang.String id)` Set the referenced resource's version id.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected org.w3c.dom.Element parent

  The DOM representation of this object.

Constructor Detail

### ResourceRef

    public ResourceRef(org.w3c.dom.Element parentElement)

  Create a resource reference based on a existing parent property set.

Parameters:
  `parentElement` - The parent element that will store the resource properties.

Method Detail

### getElement

    public org.w3c.dom.Element getElement()

  Get the underlying XML element.

  Specified by:
    `getElement` in interface `Elementable`
  Returns:
    The XML element that this object represents.

### getInstanceID

    public java.lang.String getInstanceID()

  Get the referenced resource's id.

  Returns:
    The id of the reference.

### setInstanceID

    public void setInstanceID(java.lang.String id)

  Set the referenced resource's id.

  Parameters:
    `id` - The id of the reference.

### getDocumentID

    public java.lang.String getDocumentID()

  Get the referenced resource's document id.

  Returns:
    The id of the reference document.

### setDocumentID

    public void setDocumentID(java.lang.String id)

  Set the referenced resource's document id.

  Parameters:
    `id` - The id of the reference document.

### getVersionID

    public java.lang.String getVersionID()

  Get the referenced resource's document version id.

  Returns:
    The id of the reference document version.

### setVersionID

    public void setVersionID(java.lang.String id)

  Set the referenced resource's version id.

  Parameters:
    `id` - The id of the reference document version.

### getRenditionClass

    public java.lang.String getRenditionClass()

  Get the rendition class.

  Returns:
    The value of the rendition class property.
  See Also:
    `setRenditionClass( String )`

### setRenditionClass

    public void setRenditionClass(java.lang.String renditionClass)

  Set the rendition class. The rendition class is derived from a defined set of names. The value is series of colon separated tokens and parameters.
  Defined values are:

  Token Name | Description
  default | Specifies master document, no additional tokens allowed
  thumbnail | A simplied preview. Recommended order is: thumbnailformat:size:colorspace
  screen | Screen resolution
  proof | A review proof
  draft | A review rendition
  low-res | A low resolution, full size stand-in

  Parameters:
    `renditionClass` - The rendition class.

### getRenditionParams

    public java.lang.String getRenditionParams()

  Get the extra rendition params.

  Returns:
    Additional rendition parameters.

### setRenditionParams

    public void setRenditionParams(java.lang.String params)

  Set addition rendition params.

  Parameters:
    `params` - Additional rendition parameters that are too complex for the rendition class.

### getManager

    public java.lang.String getManager()

  Get name of the asset management system that manages this resource.

  Returns:
    The name of a asset management system.

### setMangager

    public void setMangager(java.lang.String manager)

  Set the name of the system that manages this resource.

  Parameters:
    `manager` - The name of the management system.

### getManagerVariant

    public java.lang.String getManagerVariant()

  Get name of the variant of asset management system that manages this resource.

  Returns:
    The name of a asset management system.

### setMangagerVariant

    public void setMangagerVariant(java.lang.String managerVariant)

  Set the name of the variant of the system that manages this resource.

  Parameters:
    `managerVariant` - The name of the management system.

### getManagerTo

    public java.lang.String getManagerTo()

  URI identifying the managed resource.

  Returns:
    The URI to resource.

### setMangagerTo

    public void setMangagerTo(java.lang.String managerTo)

  Set the URI to the managed resource.

  Parameters:
    `managerTo` - The URI to the managed resource.

### getManagerUI

    public java.lang.String getManagerUI()

  URI to info about the managed resource.

  Returns:
    The URI to the resource info.

### setMangagerUI

    public void setMangagerUI(java.lang.String managerUI)

  Set the URI to the info about the managed resource.

  Parameters:
    `managerUI` - The URI to the managed resource information.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD